CREATE OR REPLACE PROCEDURE show_space_assm (
   p_segname   IN   VARCHAR2,
   p_owner     IN   VARCHAR2 DEFAULT USER,
   p_type      IN   VARCHAR2 DEFAULT 'TABLE'
)
AS
   l_fs1_bytes            NUMBER;
   l_fs2_bytes            NUMBER;
   l_fs3_bytes            NUMBER;
   l_fs4_bytes            NUMBER;
   l_fs1_blocks           NUMBER;
   l_fs2_blocks           NUMBER;
   l_fs3_blocks           NUMBER;
   l_fs4_blocks           NUMBER;
   l_full_bytes           NUMBER;
   l_full_blocks          NUMBER;
   l_unformatted_bytes    NUMBER;
   l_unformatted_blocks   NUMBER;

   PROCEDURE p (p_label IN VARCHAR2, p_num IN NUMBER)
   IS
   BEGIN
      DBMS_OUTPUT.put_line (RPAD (p_label, 40, '.') || p_num);
   END;
BEGIN
   DBMS_SPACE.space_usage (segment_owner           => p_owner,
                           segment_name            => p_segname,
                           segment_type            => p_type,
                           fs1_bytes               => l_fs1_bytes,
                           fs1_blocks              => l_fs1_blocks,
                           fs2_bytes               => l_fs2_bytes,
                           fs2_blocks              => l_fs2_blocks,
                           fs3_bytes               => l_fs3_bytes,
                           fs3_blocks              => l_fs3_blocks,
                           fs4_bytes               => l_fs4_bytes,
                           fs4_blocks              => l_fs4_blocks,
                           full_bytes              => l_full_bytes,
                           full_blocks             => l_full_blocks,
                           unformatted_blocks      => l_unformatted_blocks,
                           unformatted_bytes       => l_unformatted_bytes
                          );
   p ('free space 0-25% Blocks:', l_fs1_blocks);
   p ('free space 25-50% Blocks:', l_fs2_blocks);
   p ('free space 50-75% Blocks:', l_fs3_blocks);
   p ('free space 75-100% Blocks:', l_fs4_blocks);
   p ('Full Blocks:', l_full_blocks);
   p ('Unformatted blocks:', l_unformatted_blocks);
END;
/
