ORACLE_BASE=/opt/oracle/
ORACLE_BIN=/opt/oracle/product/8.1.7/bin
ORACLE_HOME=/opt/oracle/product/8.1.7
ORACLE_SID=smsyw12
export ORACLE_BASE ORACLE_BIN ORACLE_HOME ORACLE_SID

PATH=$PATH:$ORACLE_BIN:/opt/bin:/bin:/usr/bin:/usr/ccs/bin:
export PATH

LD_LIBRARY_PATH=$ORACLE_HOME/lib:/usr/openwin/lib:/usr/db/lib:/usr/lib:/usr/up/vortex/lib
export LD_LIBRARY_PATH

BACKUP_HOME=/data1/oracle/hotbackup/smsyw12/
BACKUP_ARCH=/data1/oracle/hotbackup/smsyw12/back_log
BACKUP_FILE=/data1/oracle/hotbackup/smsyw12/back_datafile
BACKUP_CTRL=/data1/oracle/hotbackup/smsyw12/back_controlfile
SH_HOME=/opt/oracle/tools/hotbackup
FILE_DATE=`date +%y%m%d`

sqlplus -S "/ as sysdba" >/dev/null <<EOF
set echo off
set termout off
set feedback off
set heading off
set linesize 120


select to_char(sysdate,'''yyyy-mm-dd hh:mm:ss''') from dual;
spool $SH_HOME/dobackup.sql 
select '--set termout off;' || CHR(10) from dual;
select 'set echo off head off feedback off pagesize 0;' || CHR(10) from dual;
select 'spool $SH_HOME/dobackup.log;' || CHR(10) from dual;
select '--set timing on; ' || CHR(10) from dual;
select '! date;'  || CHR(10)  || CHR(10) ||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10) 
from dual;

select 'conn / as sysdba;' || CHR(10) from dual;

select 'PROMPT BEGINING ARCHIVE LOG NUMBER IS :;' || CHR(10) from dual;
select 'select * from v\$log;' || CHR(10) || CHR(10) ||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10)
from dual; 


select 
'PROMPT 1. Begin Backup Tablespace ' || TABLESPACE_NAME || '.' || FILE_NAME  ||'  ... ;' || CHR(10) 
||
'alter tablespace '||  tablespace_name || ' begin backup;' || CHR(10) ||
'! cp ' || file_name || ' $BACKUP_FILE' || CHR(10) ||
'alter tablespace ' || tablespace_name || ' end backup;' || CHR(10) ||
'! compress ' || '$BACKUP_FILE' || '/*.dbf' || CHR(10) ||
'PROMPT Successed End Backup This File . ;' || CHR(10) || CHR(10) ||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10)
from dba_data_files where status='AVAILABLE';

select
'PROMPT 2. Begin Backup CONTROLFILE to $BACKUP_CTRL/controlfile01.ctl  ... ;' || CHR(10) ||
'ALTER DATABASE BACKUP CONTROLFILE TO ''$BACKUP_CTRL/controlfile01$FILE_DATE.ctl'';' || CHR(10) ||  
'PROMPT Successed End Backup The CONTROLFILE . ;' || CHR(10) ||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10)
from dual;

select 
'PROMPT 3. Begin Backup CONTROLFILE To Trace  ... ;' || CHR(10) ||
'ALTER DATABASE BACKUP CONTROLFILE TO TRACE;' || CHR(10) ||
'PROMPT Successed End Backup The CONTROLFILE . ;' || CHR(10) || CHR(10)||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10) 
from dual; 

select 
'PROMPT 4. Before Switch Log, The Current Log is:;' || CHR(10) ||
'select * from v\$log;' || CHR(10) || CHR(10) ||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10)
from dual; 

select 
'PROMPT 5. Begin Backup Switch Current Log  ... ;' || CHR(10) ||
'ALTER SYSTEM ARCHIVE LOG CURRENT;' || CHR(10) ||
'PROMPT Successed End Switch Log . ;' || CHR(10) || CHR(10)||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10)
from dual; 

select 'PROMPT  6. After Switch Log, The Ending Archive Log Number Is :' || CHR(10)|| 
'select * from v\$log;' || CHR(10) || CHR(10) ||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10)
from dual;


select '! date;'  || CHR(10)  || CHR(10) ||
'select  CHR(10) || CHR(10) from dual;' || CHR(10) || CHR(10) 
from dual;



select '--set timing off; ' || CHR(10) from dual;
select 'spool off' || CHR(10) from dual;
select 'set echo on head on feedback on;' || CHR(10) from dual;
select '--set termout on;' || CHR(10) from dual;
select 'exit;' from dual;
spool off
EOF

chmod u+x $SH_HOME/dobackup.sh

$SH_HOME/dobackup.sh
