CREATE GLOBAL TEMPORARY TABLE dirlist (
     filename VARCHAR2(255)
   , filesize NUMBER
   , filedate DATE
)
ON COMMIT DELETE ROWS
/


create or replace
        and compile java source named "DirList"
as
        import java.io.*;
        import java.sql.*;

        public class DirList
        {
                public static void getList(String directory)
                throws SQLException
                {
                        File path = new File( directory );
                        String[] fileList = path.list();
                        String fileName;
                        long fileSize;
                        long fileDate;

                        for(int i = 0; i < fileList.length; i++)
                        {
                                fileName = fileList[i];
                                File fpath = new File(directory + '/' + fileName );
                                fileSize = fpath.length();
                                fileDate = fpath.lastModified();

                                #sql { insert into dirlist (filename,filesize,filedate)
                                values (:fileName, :fileSize
                                        , to_date('01/01/1970','mm/dd/yyyy') + :fileDate / ( 24*60*60*1000)
                                                )
                                        };
                                }
                        }
}
/

create or replace
procedure get_dir_list( p_directory in varchar2 )
as language java
name 'DirList.getList( java.lang.String )';
/

